import React from 'react'
import './shopping-cart.css'

export default function CartItem(props) {
     
    return (
        <div className="shoppingCartItem" >
            {/* This is based on amazon's style */}
            {/* Flex-Direction: Row */}

            {/* Left image div */}
            <div className="productImageContainer">
                <img className="productImage" alt="Product" src={props.productInfo.productImageUrl} />
            </div>

            {/* Name and Product details */}
            <div className="nameAndDetails">
                <div className="productName">{props.productInfo.productName}</div>
                <div className="productStock">{props.productInfo.availableStock} left in stock</div>
                
                <div className="quantityControls">
                    <select className="productQuantitySelect"><option>{props.quantity}</option></select>
                    <button>Delete</button>
                </div>
                
            </div>

            {/* Price and promotions */}
            <div className="priceAndPromotions">
                <div className="productPrice">${props.productInfo.price.toFixed(2)}</div>
            </div>

        </div>

    )
}




