import React, { useState, useEffect } from 'react'
import CartItem from './CartItem.js'
import './shopping-cart.css'
import { useSelector, useDispatch } from 'react-redux'
import { Link } from 'react-router-dom'

export default function ShoppingCart() {

  const [allProducts, setAllProducts] = useState(useSelector(state => state.market.products))
  const [cartRefs, setCartRefs] = useState(useSelector(state => state.cart))
  const [cartItems, setCartItems] = useState([])


  useEffect(() => {

    const productsFromRefs = []

    cartRefs.map((cartRef) => {
      let tempCartItem = {
        product: allProducts.filter((currProduct) => currProduct.sku === cartRef.productRef.sku)[0],
        quantity: cartRef.quantity
      }
      
      productsFromRefs.push(tempCartItem)
    })

    setCartItems(productsFromRefs)

  }, [cartRefs])


  return (
    <div id="shoppingCartContainer">

      {/* map each cart item into CartItem component */}

      <div id="cartItemList">
        {cartItems.map((currItem) => {
          return (
            <CartItem productInfo={currItem.product} quantity={currItem.quantity} key={currItem.product.sku}/>
          )
        })}
      </div>

      <Link id="checkoutButtonContainer" to="/checkout">
        <button id="checkoutButton">Proceed To Checkout</button>
      </Link>


    </div>
  )
}
